Summary:        Gnome browser based on Gecko (Mozilla)
Name:           galeon
Version:        0.12.1
Release:        2.1mdk
License:	GPL
Group:          Networking/WWW
Source:         http://download.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source1:        %{name}_48.xpm.bz2
Source2:        %{name}_32.xpm.bz2
Source3:        %{name}_16.xpm.bz2
Source4:	galeon-0.12.1-po.tar.bz2
URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  mozilla-devel >= 0.9.4 , gnome-core-devel, ORBit-devel, libglade-devel
BuildRequires:  libgnome-vfs0-devel libGConf1-devel >= 1.0.4 liboaf0
PreReq:		GConf >= 1.0.4
PreReq:         mozilla >= 0.9.4

%description
Gnome browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q -a 4

%build

%configure --disable-install-schemas

%make

%install
rm -rf %buildroot
%makeinstall


mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.xpm" \
	needs="x11" \
	section="%{group}" \
	title="Galeon" \
	longtitle="%{summary}"
EOF

bzip2 -dc %{SOURCE1} > %buildroot%{_liconsdir}/%{name}.xpm
bzip2 -dc %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.xpm
bzip2 -dc %{SOURCE3} > %buildroot%{_miconsdir}/%{name}.xpm

%find_lang %{name}

%post
/usr/lib/mozilla/rebuild-databases.sh
GCONF_CONFIG_SOURCE=xml::%{_sysconfdir}/gconf/gconf.xml.defaults  gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/galeon.schemas 2>/dev/null >/dev/null
if [ "$DURING_INSTALL" != "" ]; then
	killall oafd 2>&1 > /dev/null
fi

%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/sound/events/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/galeon.schemas
%{_bindir}/*
%{_datadir}/galeon
%{_datadir}/sounds/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*
%{_datadir}/oaf/*
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Tue Nov 27 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12.1-2.1mdk
- Enable build on IA-64

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Remove dependency on gtm (not used by default
- Update translations

* Sun Sep 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Recompiled against Mozilla 0.9.4

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre3.1mdk
- Release 0.12pre3

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre1.1mdk
- Remove patch0 (merged upstream)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-2mdk
- Patch0: fix build with Mozilla 0.9.3 (from GNOME CVS)
- Fix Build dependency
- Recompiled against mozilla 0.9.3

* Wed Jul 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.1

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove patch0 (merged upstream)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.11.0-4mdk
- ExcludeArch : ia64

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Patch0: recompiled against mozilla 0.9.2

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-2mdk
- Rebuild mozilla database (to be sure galeon will run correctly)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-1mdk
- Release 0.10.6

* Wed May  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.5-1mdk
- Release 0.10.5

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.4-1mdk
- new version

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- Release 0.10.2

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add requires on gtm
- add more buildrequires 

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.3mdk
- corrected versioning scheme again...
- used noreplace for config file

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9pre3-2mdk
- changed versioning scheme
- corrected changelog

* Fri Feb 09 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.1mdk
- 0.9pre3

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-0.pre1.1mdk
- Pre-release 0.9pre1
- Compiled with mozilla 0.7
- Correct dependencies

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.3-1mdk
- new and shiny source.

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny source.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8-1mdk
- new and shiny galeon.

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7a-1mdk
- Merge specfile from Alexander Skwar <ASkwar@Linux-Mandrake.com>
- Release 0.7.7a - for Mozilla M18
- Disabled gcc-compatibility-hack (thanks to gcc 2.96?)

* Thu Oct 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
		- Build with --enable-gcc-compatibility-hack: Find will not work :-( 
		  Otherwise building will not work...
		- Quiet setup
		- New version
		- Used more macros in spec file
		- Explicetely set location of mozilla include files

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new mozilla package

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- First mandrake package
